# Class Input

java.lang.Object
uk.ac.starlink.ttools.plot2.data.Input

public class Input extends Object
Characterises a coordinate value as specified by the user. There may be multiple Input values corresponding to a single coordinate (`Coord` as used by the plotting system.

Since:
  12 Sep 2014
Author:
  Mark Taylor

## Constructor Summary

Constructors
Constructor
Description
`Input(InputMeta meta, uk.ac.starlink.table.Domain<?> domain)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`uk.ac.starlink.table.Domain<?>`
`getDomain()`
Returns the value domain which this input represents.
`InputMeta`
`getMeta()`
Returns user-directed metadata describing this input.
`Input`
`withMeta(InputMeta meta)`
Returns an object that behaves like this one but has different metadata as supplied.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Input

public Input(InputMeta meta, uk.ac.starlink.table.Domain<?> domain)
Constructor.

Parameters:
  `meta` - user-directed metadata
  `domain` - data value domain

## Method Details

### getMeta

public InputMeta getMeta()
Returns user-directed metadata describing this input.

Returns:
  metadata

### getDomain

public uk.ac.starlink.table.Domain<?> getDomain()
Returns the value domain which this input represents. This can also be used to determine what input value types are acceptable.

Returns:
  value domain

### withMeta

public Input withMeta(InputMeta meta)
Returns an object that behaves like this one but has different metadata as supplied.

Parameters:
  `meta` - new metadata object
Returns:
  new Input instance with given metadata